Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::Mouse Class Reference

マウス More...

`#include <Mouse.h>`

List of all members.

## Public Member Functions
virtual int | getXAxis () const
| X軸の取得.
virtual int | getYAxis () const
| Y軸の取得.
virtual int | getZAxis () const
| Z軸の取得.
int | getZResolution () const
| Z解像度の取得.
virtual float | getCorrectedZAxis () const
| 補正済みZ軸の取得
virtual int | getButtonCount () const
| ボタン数の取得
virtual bool | buttonPressed (int id) const
| ボタンが押されているか
virtual bool | buttonDown (int id) const
| ボタンが下がった
virtual bool | buttonUp (int id) const
| ボタンが上がった
virtual void | setClickPositionRange (int clickPositionRange)
| クリック位置範囲の設定
virtual int | getClickPositionRange () const
| クリック位置範囲の取得
virtual void | setDoubleClickTimeRange (int doubleClickTimeRange)
| ダブルクリック時間範囲の設定
virtual int | getDoubleClickTimeRange () const
| ダブルクリック時間範囲の取得
virtual bool | clicked (int id) const
| クリックされたか
virtual bool | doubleClicked (int id) const
| ダブルクリックされたか
virtual bool | doubleDown (int id) const
| ダブルダウンされたか
virtual String | getName () const
| 名前の取得
virtual bool | isAttached () const
| アタッチされているか
virtual bool | isPolled () const
| ポーリングが必要か
virtual String | toString () const
| 文字列への変換
virtual void | clear ()
| クリア
virtual bool | setCooperativeLevel (bool exclusive, bool foreground)
| 協調レベルの設定
virtual bool | isExclusive () const
| 排他モードか
virtual bool | isForeground () const
| フォアグラウンドモードか
## Static Public Attributes
const int | maxButtonCount = 8
| 最大ボタン数
## Protected Member Functions
| Mouse (MouseDevice *device)
| コンストラクタ
virtual | ~Mouse ()
| デストラクタ
virtual void | setNextState (const MouseState &state)
| 次のステート設定
virtual const MouseState & | getState ()
| ステートの取得
virtual void | clickStateClear ()
| クリックステートクリア
## Friends
class | LampInput
class | BufferedInput

## Detailed Description

マウス

Definition at line 37 of file Mouse.h.

## Constructor & Destructor Documentation

Lamp::Mouse::Mouse | ( | MouseDevice * | device | ) | `[protected]`

  | コンストラクタ Parameters:
  device | デバイス
Definition at line 32 of file Mouse.cpp. References clickStateClear().

## Member Function Documentation

virtual bool Lamp::Mouse::buttonDown | ( | int | id | ) | const`[inline, virtual]`

  | ボタンが下がった Parameters:
  id | ボタンID
Returns: ボタンが下がったならばtrue Definition at line 105 of file Mouse.h. References Lamp::MouseState::buttonPressed(). Referenced by setNextState(), and toString().

virtual bool Lamp::Mouse::buttonPressed | ( | int | id | ) | const`[inline, virtual]`

  | ボタンが押されているか Parameters:
  id | 対象ボタンID
Returns: ボタンが押されていればtrue Definition at line 96 of file Mouse.h. References Lamp::MouseState::buttonPressed(). Referenced by toString().

virtual bool Lamp::Mouse::buttonUp | ( | int | id | ) | const`[inline, virtual]`

  | ボタンが上がった Parameters:
  id | ボタンID
Returns: ボタンが上がったならばtrue Definition at line 114 of file Mouse.h. References Lamp::MouseState::buttonPressed(). Referenced by setNextState(), and toString().

virtual bool Lamp::Mouse::clicked | ( | int | id | ) | const`[inline, virtual]`

  | クリックされたか Parameters:
  id | 対象ボタンID
Returns: ボタンがクリックされていればtrue Definition at line 156 of file Mouse.h. References Assert, and maxButtonCount. Referenced by toString().

virtual bool Lamp::Mouse::doubleClicked | ( | int | id | ) | const`[inline, virtual]`

  | ダブルクリックされたか Parameters:
  id | 対象ボタンID
Returns: ボタンがダブルクリックされていればtrue Definition at line 167 of file Mouse.h. References Assert, and maxButtonCount. Referenced by toString().

virtual bool Lamp::Mouse::doubleDown | ( | int | id | ) | const`[inline, virtual]`

  | ダブルダウンされたか Parameters:
  id | 対象ボタンID
Returns: ボタンがダブルダウンされていればtrue Definition at line 178 of file Mouse.h. References Assert, and maxButtonCount. Referenced by toString().

virtual int Lamp::Mouse::getButtonCount | ( |  | ) | const`[inline, virtual]`

| ボタン数の取得 Returns: ボタン数 Definition at line 89 of file Mouse.h. References Lamp::InputDevice::getButtonCount(). Referenced by setNextState(), and toString().

virtual int Lamp::Mouse::getClickPositionRange | ( |  | ) | const`[inline, virtual]`

| クリック位置範囲の取得 Returns: クリック位置範囲 Definition at line 133 of file Mouse.h.

virtual float Lamp::Mouse::getCorrectedZAxis | ( |  | ) | const`[inline, virtual]`

| 補正済みZ軸の取得 Returns: 補正済みZ軸 Definition at line 78 of file Mouse.h. References getZAxis(), and getZResolution().

virtual int Lamp::Mouse::getDoubleClickTimeRange | ( |  | ) | const`[inline, virtual]`

| ダブルクリック時間範囲の取得 Returns: ダブルクリック時間範囲 Definition at line 148 of file Mouse.h.

virtual String Lamp::Mouse::getName | ( |  | ) | const`[inline, virtual]`

| 名前の取得 Returns: 名前 Definition at line 189 of file Mouse.h. References Lamp::InputDevice::getProductName(). Referenced by toString().

virtual const MouseState& Lamp::Mouse::getState | ( |  | ) | `[inline, protected, virtual]`

| ステートの取得 Returns: ステート Definition at line 262 of file Mouse.h.

virtual int Lamp::Mouse::getXAxis | ( |  | ) | const`[inline, virtual]`

| X軸の取得. Returns: X軸 Definition at line 54 of file Mouse.h. References Lamp::MouseState::getXAxis(). Referenced by setNextState(), and toString().

virtual int Lamp::Mouse::getYAxis | ( |  | ) | const`[inline, virtual]`

| Y軸の取得. Returns: Y軸 Definition at line 60 of file Mouse.h. References Lamp::MouseState::getYAxis(). Referenced by setNextState(), and toString().

virtual int Lamp::Mouse::getZAxis | ( |  | ) | const`[inline, virtual]`

| Z軸の取得. Returns: Z軸 Definition at line 66 of file Mouse.h. References Lamp::MouseState::getZAxis(). Referenced by getCorrectedZAxis(), and toString().

int Lamp::Mouse::getZResolution | ( |  | ) | const`[inline]`

| Z解像度の取得. Returns: Z解像度 Definition at line 72 of file Mouse.h. References Lamp::MouseDevice::getZResolution(). Referenced by getCorrectedZAxis(), and toString().

virtual bool Lamp::Mouse::isAttached | ( |  | ) | const`[inline, virtual]`

| アタッチされているか Returns: アタッチされていればtrue Definition at line 195 of file Mouse.h. References Lamp::InputDevice::isAttached(). Referenced by toString().

virtual bool Lamp::Mouse::isExclusive | ( |  | ) | const`[inline, virtual]`

| 排他モードか Returns: 排他モードならtrue Definition at line 231 of file Mouse.h. References Lamp::InputDevice::isExclusive().

virtual bool Lamp::Mouse::isForeground | ( |  | ) | const`[inline, virtual]`

| フォアグラウンドモードか Returns: フォアグラウンドモードならtrue、バックグラウンドモードならfalse Definition at line 237 of file Mouse.h. References Lamp::InputDevice::isForeground().

virtual bool Lamp::Mouse::isPolled | ( |  | ) | const`[inline, virtual]`

| ポーリングが必要か Returns: ポーリングが必要ならtrue Definition at line 201 of file Mouse.h. References Lamp::InputDevice::isPolled(). Referenced by toString().

virtual void Lamp::Mouse::setClickPositionRange | ( | int | clickPositionRange | ) | `[inline, virtual]`

  | クリック位置範囲の設定 Parameters:
  clickPositionRange | クリック位置範囲
Definition at line 125 of file Mouse.h.

virtual bool Lamp::Mouse::setCooperativeLevel | ( | bool | exclusive,
|  | bool | foreground
| ) | `[inline, virtual]`

  | 協調レベルの設定 Parameters:
  exclusive | 排他モードならtrue
  foreground | フォアグラウンドモードならtrue
Returns: 成功すればtrue Definition at line 223 of file Mouse.h. References Lamp::MouseDevice::setCooperativeLevel().

virtual void Lamp::Mouse::setDoubleClickTimeRange | ( | int | doubleClickTimeRange | ) | `[inline, virtual]`

  | ダブルクリック時間範囲の設定 Parameters:
  doubleClickTimeRange | ダブルクリック時間範囲
Definition at line 140 of file Mouse.h.

void Lamp::Mouse::setNextState | ( | const MouseState & | state | ) | `[protected, virtual]`

  | 次のステート設定 Parameters:
  state | 次のステート
Definition at line 54 of file Mouse.cpp. References buttonDown(), buttonUp(), getButtonCount(), getXAxis(), getYAxis(), Lamp::Point2i::set(), Lamp::Point2i::x, and Lamp::Point2i::y.

String Lamp::Mouse::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Definition at line 110 of file Mouse.cpp. References buttonDown(), buttonPressed(), buttonUp(), clicked(), doubleClicked(), doubleDown(), Lamp::String::format(), getButtonCount(), getName(), getXAxis(), getYAxis(), getZAxis(), getZResolution(), isAttached(), isPolled(), and maxButtonCount.

The documentation for this class was generated from the following files:

- Mouse.h
- Mouse.cpp